package com.ynet.life.mvc;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEConstance;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.datatype.InvalidDataException;
import com.ynet.gene.session.SessionException;
import com.ynet.life.base.LifeErrorInfo;
import com.ynet.life.base.LifeStandard;
import java.util.Map;

/* loaded from: com_ynet_life_mvc.jar:com/ynet/life/mvc/MVCXmlView.class */
public class MVCXmlView extends XMLView {
    private String errorCode;

    public LifeErrorInfo dealError(Map model) {
        LifeErrorInfo errorInfo;
        LifeErrorInfo errorInfo2;
        Context context = (Context) model.get(GENEConstance.ATTR_CONTEXT);
        GENEException gENEException = (Exception) model.get(GENEConstance.ATTR_EXCEPTION);
        String errorCode = "";
        if (context != null) {
            errorCode = (String) context.get("errorCode");
        }
        String ec = "0";
        String errorMsg = "";
        if (gENEException != null) {
            if (this.errorCode != null && !"".equals(this.errorCode)) {
                ec = this.errorCode;
                try {
                    errorInfo2 = LifeStandard.getErrorInfo(ec);
                } catch (Exception unused) {
                    errorInfo2 = null;
                }
                errorMsg = errorInfo2 != null ? errorInfo2.getShowMsg() : "";
                if ("".equals(errorMsg) || errorMsg == null) {
                    errorMsg = gENEException.getMessage();
                }
            } else if (gENEException instanceof SessionException) {
                String errorCode2 = gENEException.getErrorCode();
                ec = errorCode2;
                if (errorCode2 == null || "20000".equals(ec) || "".equals(ec)) {
                    ec = "EBLN1000";
                }
                LifeErrorInfo errorInfo3 = LifeStandard.getErrorInfo(ec);
                errorMsg = errorInfo3 != null ? errorInfo3.getShowMsg() : "";
                if ("".equals(errorMsg) || errorMsg == null) {
                    errorMsg = gENEException.getShowMessage();
                }
            } else if (gENEException instanceof InvalidDataException) {
                ec = ((InvalidDataException) gENEException).getErrorCode();
                String message = ((InvalidDataException) gENEException).getMessage();
                errorMsg = message;
                if (message == null || "".equals(errorMsg)) {
                    errorMsg = LifeStandard.getErrorInfo(ec).getShowMsg();
                }
            } else if (gENEException instanceof GENEException) {
                String errorCode3 = gENEException.getErrorCode();
                ec = errorCode3;
                if (errorCode3 == null || "20000".equals(ec) || "".equals(ec)) {
                    ec = "EBLN0000";
                }
                try {
                    errorInfo = LifeStandard.getErrorInfo(ec);
                } catch (Exception unused2) {
                    errorInfo = null;
                }
                errorMsg = errorInfo != null ? errorInfo.getShowMsg() : "";
                if ("".equals(errorMsg) || errorMsg == null) {
                    errorMsg = gENEException.getShowMessage();
                }
            } else {
                ec = "EBLN0000";
                LifeErrorInfo errorInfo4 = LifeStandard.getErrorInfo("EBLN0000");
                errorMsg = errorInfo4 != null ? errorInfo4.getShowMsg() : "";
                if ("".equals(errorMsg) || errorMsg == null) {
                    errorMsg = gENEException.getMessage();
                }
            }
        } else if (errorCode != null && !"".equals(errorCode)) {
            String str = errorCode;
            ec = str;
            LifeErrorInfo errorInfo5 = LifeStandard.getErrorInfo(str);
            if (errorInfo5 != null) {
                errorMsg = errorInfo5.getShowMsg();
            }
            if ("".equals(errorMsg) || errorMsg == null) {
                errorMsg = (String) context.get("errorMessage");
            }
        } else {
            String retCode = (String) context.get("hostReturnCode");
            if (retCode != null && !"".equals(retCode)) {
                ec = retCode;
                errorMsg = (String) context.get("hostErrorMessage");
            }
        }
        return new LifeErrorInfo(ec, (String) null, errorMsg == null ? "" : errorMsg, 0, (String) null, (String) null);
    }
}
